capture log close
clear *
set more off
set matsize 4000
local home=1

**cahnge path*
capture log using  "C:\Users\DFurceri\Desktop\SDN JO PL DF\results_sectoral.log" , replace 

*change path**

use "C:\Users\DFurceri\Desktop\SDN JO PL DF\sectoral_replication.dta"

*****************Note on  variables constuction****************
*da2 denote the change in labor share
*dlny denote the chage in value added
*all the dependent and explantory variables have been purged by country_year and sector_year fe, and renamed as res"xx" 


**********Table 6 & Figure 11*****
********************Labor share*********************
************************Baseline*****************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2  ,  cluster(panel_id2)
test resduk_ext2==0
test resduk_ext2+l.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 +l4.resduk_ext2==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 +l4.resduk_ext2 +l5.resduk_ext2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2  if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


**EOS******
reg resda2  l(0/5)resdukeos22 if ae & a>0 & a<5 ,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

reg resda2  l(0/5)resdukeos22 if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0


reg resda2  l(0/5)resdukeos22 if ae & a>0 & a<5 & EOS2>-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0



****Table 5  & Figure 10**

*****************Macro ******************
***Output*****
reg resdlny2  l(0/5)resduk_ext2 if ae ,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0


****Productivity*********
reg resdpr2  l(0/5)resduk_ext2 if ae ,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0

**************employment*************
reg resdlne2  l(0/5)resduk_ext2 if ae ,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0





**************Table 7****

********************Robustness Check******************


****************controlling for trade************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)restrade_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)restrade_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***
reg resda2  l(0/5)resduk_lay2 l(0)restrade_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)restrade_ext if ae ,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



****************controlling for current account************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)rescur_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)rescur_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0)rescur_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)rescur_ext if ae ,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0

****************controlling for DF************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)resdf_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)resdf_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0)resdf_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)resdf_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0


****************controlling for pmr************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)respmr_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)respmr_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0)respmr_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)respmr_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0


****************controlling for EPL************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)resepl_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)resepl_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0)resepl_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)resepl_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0


****************controlling for technology************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)resrelpi_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)resrelpi_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***
reg resda2  l(0/5)resduk_lay2 l(0)resrelpi_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)resrelpi_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0

*************controlling for demand growth****
**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0/2)resdlny2 if ae ,  cluster(panel_id2)
test resduk_ext2==0
test resduk_ext2+l.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 ==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 +l4.resduk_ext2==0
test resduk_ext2+l.resduk_ext2 +l2.resduk_ext2 +l3.resduk_ext2 +l4.resduk_ext2 +l5.resduk_ext2==0

**EOS******
reg resda2  l(0/5)resdukeos22 l(0/2)resdlny2 if ae & a>0 & a<5 ,  cluster(panel_id)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

reg resda2  l(0/5)resdukeos22 if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0


reg resda2  l(0/5)resdukeos22 if ae & a>0 & a<5 & EOS2>-1,  cluster(panel_id)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0


***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0/2)resdlny2 if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0



****************controlling for Union density************

**EXTFIN****
reg resda2  l(0/5)resduk_ext2 l(0)resud_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0



**EOS******
reg resda2  l(0/5)resdukeos22  l(0)resUD_eos if ae & a>0 & a<5 & EOS2<-1,  cluster(panel_id2)
test resdukeos2==0
test resdukeos2+l.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 ==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2==0
test resdukeos2+l.resdukeos2 +l2.resdukeos2 +l3.resdukeos2 +l4.resdukeos2 +l5.resdukeos2==0

***LAYOFF***

reg resda2  l(0/5)resduk_lay2 l(0)resud_lay if a<5 & a>-2  &layoff_US>2 & industry!="19"   ,  cluster(panel_id2) 
test resduk_lay==0
test resduk_lay+l.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay ==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay==0
test resduk_lay+l.resduk_lay +l2.resduk_lay +l3.resduk_lay +l4.resduk_lay +l5.resduk_lay==0


***Output*****
reg resdlny2  l(0/5)resduk_ext2 l(0)resud_ext if ae,  cluster(panel_id2)
test resduk_ext==0
test resduk_ext+l.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext ==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext==0
test resduk_ext+l.resduk_ext +l2.resduk_ext +l3.resduk_ext +l4.resduk_ext +l5.resduk_ext==0

